<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 1999-2026. WebPros International GmbH. All rights reserved. -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:include schemaLocation="plesk_common.xsd"/>
	<xs:complexType name="clientDatasetType">
		<xs:annotation>
			<xs:documentation>Data to be operated</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="gen_info" minOccurs="0">
				<xs:annotation>
					<xs:documentation>General client info</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="stat" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Client statistics</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="permissions" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Client permissions</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="limits" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Client limits</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="ippool" minOccurs="0">
				<xs:annotation>
					<xs:documentation>IP pool configuration</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="clientData">
		<xs:annotation>
			<xs:documentation>Client data</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="gen_info" type="clientGetGenInfo" minOccurs="0"/>
			<xs:element name="stat" type="clientStatType" minOccurs="0"/>
			<xs:element name="permissions" type="clientPerms" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Client Permissions</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="limits" type="clientLimits" minOccurs="0"/>
			<xs:element name="ippool" type="ipPoolType" minOccurs="0"/>
			<xs:element name="sbnet-user" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Create SiteBuilder User (supported by Plesk for Windows only)</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="clientPerms">
		<xs:annotation>
			<xs:documentation>Client Permissions</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="create_domains" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Domain creation</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_phosting" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Physical hosting management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_quota" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Hard disk quota assignment</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_subdomains" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Subdomains management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_not_chroot_shell" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Non-chrooted shell management (supported by Plesk for Unix)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="change_limits" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Domain limits adjustment</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_dns" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>DNS zone management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_log" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Log rotation management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_crontab" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Crontab/Sheduler management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_anonftp" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Anonymous FTP management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_webapps" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Java applications management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_sh_access" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Management of shell access to server</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_maillists" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Mailing lists management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_drweb" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Plesk >= 7.1 if drweb is supported by key</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="make_dumps" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Backup/restore functions (supported by Plesk for Windows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="site_builder" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Plesk >= 7.1 And deprecated in Plesk 8.0 for Unix for all protocols</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="remote_access_interface" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Plesk >= 7.5.4 for protocol >= 1.3.5</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_performance" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Appears since protocol version 1.3.4.2, actual for Plesk for Windows version only</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="cp_access" type="xs:boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>since version 1.3.5</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_domain_aliases" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>only Plelsk for Unix since api version 1.4</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_iis_app_pool" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>only Plelsk for Windows since api version 1.3.5.1</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="dashboard" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>User interface</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="stdgui" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Standard interface</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_dashboard" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Desktop management</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_subftp" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>allows managing FTP subaccounts (supported by Plesk for Windowsx)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="manage_spamfilter" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Spam filter management (supported by Plesk for Unix)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="allow_local_backups" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Backup/restore functions use local repository (supported by Plesk for Unix)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="allow_ftp_backups" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Backup/restore functions use FTP repository</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="clientAddGenInfo">
		<xs:annotation>
			<xs:documentation>Client adding data</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="cname" type="string" minOccurs="0"/>
			<xs:element name="pname" type="string"/>
			<xs:element name="login" type="string"/>
			<xs:element name="passwd" type="string"/>
			<xs:element name="status" type="objectStatus" default="0" minOccurs="0">
				<xs:annotation>
					<xs:documentation>0:ACTIVE, 16:DISABLED_BY ADMIN, 4:UNDER BACKUP/RESTORE, 256: EXPIRED</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="phone" type="string" minOccurs="0"/>
			<xs:element name="fax" type="string" minOccurs="0"/>
			<xs:element name="email" type="string" minOccurs="0"/>
			<xs:element name="address" type="string" minOccurs="0"/>
			<xs:element name="city" type="string" minOccurs="0"/>
			<xs:element name="state" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Should be filled for US country</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="pcode" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Should be filled for US country</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="country" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Example: US</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="locale" type="string" default="en" minOccurs="0"/>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="clientSetGenInfo">
		<xs:annotation>
			<xs:documentation>Client setting data</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="cname" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string"/>
				</xs:simpleType>
			</xs:element>
			<xs:element name="pname" type="string" minOccurs="0"/>
			<xs:element name="login" type="string" minOccurs="0"/>
			<xs:element name="passwd" type="string" minOccurs="0"/>
			<xs:element name="status" type="objectStatus" default="0" minOccurs="0"/>
			<xs:element name="phone" type="string" minOccurs="0"/>
			<xs:element name="fax" type="string" minOccurs="0"/>
			<xs:element name="email" type="string" minOccurs="0"/>
			<xs:element name="address" type="string" minOccurs="0"/>
			<xs:element name="city" type="string" minOccurs="0"/>
			<xs:element name="state" type="string" minOccurs="0"/>
			<xs:element name="pcode" type="string" minOccurs="0"/>
			<xs:element name="country" type="string" minOccurs="0"/>
			<xs:element name="locale" type="string" default="en" minOccurs="0"/>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="clientGetGenInfo">
		<xs:annotation>
			<xs:documentation>Client getting data</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="cr_date" type="date"/>
			<xs:element name="cname" type="string"/>
			<xs:element name="pname" type="string"/>
			<xs:element name="login" type="string"/>
			<xs:element name="status" type="objectStatus" default="0"/>
			<xs:element name="phone" type="string"/>
			<xs:element name="fax" type="string"/>
			<xs:element name="email" type="string"/>
			<xs:element name="address" type="string"/>
			<xs:element name="city" type="string"/>
			<xs:element name="state" type="string"/>
			<xs:element name="pcode" type="string"/>
			<xs:element name="country" type="string"/>
			<xs:element name="locale" type="string" default="en"/>
			<xs:element name="password" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>since 1.3.5</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="password_type" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>since 1.3.5</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="clientLimits">
		<xs:annotation>
			<xs:documentation>Client Limits</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="max_webapps" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of Java applications</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_maillists" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of mailing lists</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_resp" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of mail autoresponders</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_mg" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of mail groups</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_redir" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of mail redirects</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="mbox_quota" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Set the mailbox quota</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_box" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of mailboxes</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_db" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of databases</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_wu" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of web users</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_traffic" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum amount of traffic</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="disk_space" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Disk space</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_subdom" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of subdomains</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_dom" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of domain aliases</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="expiration" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Validity period</xs:documentation>
				</xs:annotation>
			</xs:element>
			<!-- Following limits has been added since protocol version 1.3.5.1 and actual only for Windows version -->
			<xs:element name="total_mboxes_quota" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Total mailboxes quota (supported by Plesk for Windows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="mysql_dbase_space" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>'MySQL databases quota (suported by Plesk for WIndows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="mssql_dbase_space" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Microsoft SQL databases quota (supported by Plesk for WIndows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_mssql_db" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of Microsoft SQL Server databases (supported by Plesk for Windows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_iis_app_pools" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of IIS application pools (supported by Plesk for WIndows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_shared_ssl_links" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of shared SSL links (supported by PLesk for Windows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_subftp_users" type="int" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of FTP subaccounts (supported by Plesk for Windows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_fpse_users" type="int" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of Microsoft FrontPage subaccounts (supported by Pelsk for Windows)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_dom_aliases" type="int" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of domain aliases</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_odbc" type="int" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum number of ODBC connections (supported by Plesk for Windows)</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="clientStatType">
		<xs:annotation>
			<xs:documentation>Client statistics</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="active_domains" type="unsignedInt" default="0"/>
			<xs:element name="subdomains" type="unsignedInt" default="0"/>
			<xs:element name="disk_space" type="size" default="0"/>
			<xs:element name="postboxs" type="unsignedInt" default="0"/>
			<xs:element name="redirects" type="unsignedInt" default="0"/>
			<xs:element name="mail_groups" type="unsignedInt" default="0"/>
			<xs:element name="mail_resps" type="unsignedInt" default="0"/>
			<xs:element name="mail_lists" type="unsignedInt" default="0"/>
			<xs:element name="web_users" type="unsignedInt" default="0"/>
			<xs:element name="data_bases" type="unsignedInt" default="0"/>
			<xs:element name="webapps" type="unsignedInt" default="0"/>
			<xs:element name="traffic" type="size">
				<xs:annotation>
					<xs:documentation>Monthly traffic in bytes</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="traffic_prevday" type="size">
				<xs:annotation>
					<xs:documentation>Total traffic for prev.day ( in bytes)</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="ipPoolType">
		<xs:annotation>
			<xs:documentation>Client's IP pool data</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="ip-address" type="ip_address" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="ipPoolOperateType">
		<xs:annotation>
			<xs:documentation>Client's IP pool operate data request</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="client_id" type="id_type"/>
			<xs:element name="ip_address" type="ip_address" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="poolOperationResult">
		<xs:annotation>
			<xs:documentation>IP pool operation result</xs:documentation>
		</xs:annotation>
		<xs:complexContent>
			<xs:extension base="resultType">
				<xs:choice minOccurs="0">
					<xs:element name="ip_address" type="ip_address"/>
					<xs:element name="client_id" type="id_type"/>
				</xs:choice>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
</xs:schema>
